/*
 * Problem 1 Set 2
 */

package com.mygdx.game;

/**แก้ตรง update() * นับสกอร์ ตามปุ่มกด true / false
 * 
**/


import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.math.Vector2;
import com.mygdx.game.GameOver;
import com.mygdx.game.HomeGame;
import com.mygdx.game.PracticumGame;
import com.mygdx.game.ScoreCount;

public class GameOver extends ScreenAdapter{
	PracticumGame plusGame;
	//private Vector2 positionOfFirework;
	private int x;
	private int y;
	private int bombXPos;
	private int bombYPos;
	private Texture backgroundImg;
	private Texture displayImg;
	private Texture fireworkImg;
	private Texture equalImg;
	private Texture bombFireworkImg;
	private Texture gameOver1_Img;
	private Texture gameOver2_Img;
	public HomeGame homeGame;
	int countsw1 = 0;
	int countsw2 = 0;
	int countsw3 = 0;
	int countsw4 = 0;
	

	//public ScoreCount score1;
	//public ScoreCount score2;	
	private BitmapFont font;

	public SpriteBatch batch;
	int timeCount;
	
	public GameOver(PracticumGame plusGame) {
		this.plusGame = plusGame;
		this.homeGame = homeGame;
		fireworkImg = new Texture("firework.png");
		gameOver1_Img = new Texture("GameOver_1.png");
		gameOver2_Img = new Texture("GameOver_2.png");
		equalImg = new Texture("equalOver.png");
		
		font =  new BitmapFont();
		bombFireworkImg = new Texture("bombFirework.png");
		
		x = 400;
		y = 100;
		
		bombXPos = 600;
		bombYPos = 500;
		//homeGame.canChangeProblem = false;
		//this.score1 = score1;
		//this.score2 = score2;
	}
	
	@Override
	public void render(float delta) {
		draw();
		update(delta);
	}
	
	public void draw() {
		SpriteBatch batch = plusGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		if(ScoreCount.scorePlayer1 > ScoreCount.scorePlayer2) {
			batch.draw(gameOver1_Img, 0, 0);
			if(y >= 500) {
			//	PracticumGame.peri.set_BUZZER(0,1);
	
				batch.draw(bombFireworkImg, bombXPos, bombYPos);
				try {
//				    Thread.sleep(1000);
//				    PracticumGame.peri.set_BUZZER(0,0);
//				    Thread.sleep(1000);
//				    PracticumGame.peri.set_BUZZER(0,1);
//				    Thread.sleep(1000);
//				    PracticumGame.peri.set_BUZZER(0,0);
				    
				    Thread.sleep(1500);
				    ScoreCount.scorePlayer1 = 0;
				    ScoreCount.scorePlayer2 = 0;
				    plusGame.dispose();
				    plusGame.create();
				    
				} catch(InterruptedException ex) {
				    Thread.currentThread().interrupt();
				}
			}
			
			else {
				batch.draw(fireworkImg, x, y);
			}
			
		}
		
		else if(ScoreCount.scorePlayer1 == ScoreCount.scorePlayer2) {
			batch.draw(equalImg, 0, 0);
		}
		
		else {
			batch.draw(gameOver2_Img, 0, 0);
			if(y >= 500) {
				batch.draw(bombFireworkImg, bombXPos, bombYPos);
			//	PracticumGame.peri.set_BUZZER(0,1);
				 batch.draw(bombFireworkImg, bombXPos, bombYPos);
				try {
				    Thread.sleep(1000);
//				    PracticumGame.peri.set_BUZZER(0,0);
//				    Thread.sleep(1000);
//				    PracticumGame.peri.set_BUZZER(0,1);
//				    Thread.sleep(1000);
//				    PracticumGame.peri.set_BUZZER(0,0);
//				    Thread.sleep(1500);
//				    ScoreCount.scorePlayer1 = 0;
//				    ScoreCount.scorePlayer2 = 0;
				    plusGame.dispose();
				    plusGame.create();
				} catch(InterruptedException ex) {
				    Thread.currentThread().interrupt();
				}
			}
			
			else {
				batch.draw(fireworkImg, x, y);
			}
		}
		batch.end();
	}
	
	public void update(float delta) {
			y += 50;
	}
	
	@Override
	public void hide() {
		gameOver1_Img.dispose();
		gameOver2_Img.dispose();
	}
	
	
}
