package com.mygdx.game.GameSet2;

/**แก้ตรง update() * นับสกอร์ ตามปุ่มกด true / false
 * 
**/


import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.mygdx.game.HomeGame;
import com.mygdx.game.PracticumGame;
import com.mygdx.game.ScoreCount;

public class GameScreen206 extends ScreenAdapter{
	PracticumGame plusGame;
	private Texture backgroundImg;
	private Texture displayImg;
	private Texture pic_26_Img;
	public HomeGame homeGame;
	int countsw1 = 0;
	int countsw2 = 0;
	int countsw3 = 0;
	int countsw4 = 0;
	

	//public ScoreCount score1;
	//public ScoreCount score2;
	
	private BitmapFont font;

	public SpriteBatch batch;
	int timeCount;
	
	public GameScreen206(PracticumGame plusGame) {
		this.plusGame = plusGame;
		this.homeGame = homeGame;
		pic_26_Img = new Texture("set2_7.png");
		
		font =  new BitmapFont(Gdx.files.internal("font.fnt"), Gdx.files.internal("font.png"), false);
		
		//homeGame.canChangeProblem = false;
		//this.score1 = score1;
		//this.score2 = score2;
	}
	
	@Override
	public void render(float delta) {
		draw();
		update();
	}
	
	public void draw() {
		SpriteBatch batch = plusGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(pic_26_Img, 0, 0);
		font.draw(batch, "Score Player One: " + ScoreCount.scorePlayer1 , 50, 100);
		font.draw(batch, "Score Player Two: " + ScoreCount.scorePlayer2, 1000, 100);
		batch.end();
	}
	
	public void update() {
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_1)) { //switch 1 - player 1
		  if(PracticumGame.JustPressSW(PracticumGame.sw2)) {   //// sw2 = player1 correct
			plusGame.setScreen(new GameScreen207(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_0) ){ //switch 2 - player 1
		  if(PracticumGame.JustPressSW(PracticumGame.sw1)) {  //// sw = player1 incorrect 
			 ScoreCount.increaseScorePlayer1();
			 plusGame.setScreen(new GameScreen207(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.Y)) { //switch 3 - player 2
		  if(PracticumGame.JustPressSW(PracticumGame.sw3)) { ////// plyer2 correct
			plusGame.setScreen(new GameScreen207(plusGame));
		}
		  if(PracticumGame.JustPressSW(PracticumGame.sw4)) { //////plyer2 incorrect
		//if(Gdx.input.isKeyJustPressed(Keys.N)) { //switch 4 - player 2
			 ScoreCount.increaseScorePlayer2();
			 plusGame.setScreen(new GameScreen207(plusGame));
		}

	}
	
	@Override
	public void hide() {
		pic_26_Img.dispose();
	}
	
	
}
