package com.mygdx.game;

/**แก้ตรง update()
 * เปลี่ยนเงื่อนไขเป็น เกมจะเริ่มถ้า 2 คน กดปุ่ม Y / N ปุ่มใดปุ่มหนึ่ง
 * แต่ต้องกดทั้ง 2 คน
**/

/*** เมท็อดนี้ คือ เมท็อดหลักของเกม
 * 	led1, led2 - player 1
 * 	led3, led4 - player 2
 * 	
 *	switch1, switch2 - player 1 == true - false
 *	switch3, switch4 - player 2 == true - false
 * 
 ***/
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

public class HomeGame extends ScreenAdapter {
	PracticumGame plusGame;
	private Texture homeScreen_Img;
	//private Texture bird1_Img;
	public ScoreCount score;
	public static final int NO_PROBLEM = 0;
	public static final int PROBLEM_1 = 1;
	public static final int PROBLEM_2 = 2;
	public static final int PROBLEM_3 = 3;
	public static final int PROBLEM_4 = 4;
	
	//int state;
	//boolean canChangeProblem;
	
	int countsw1 = 0;
	int countsw2 = 0;
	int countsw3 = 0;
	int countsw4 = 0;

	public HomeGame (PracticumGame plusGame) {
		this.plusGame = plusGame;
		homeScreen_Img = new Texture("home_game.png");
		this.score = score;
		//bird1_Img = new Texture("bird_1.png");

	}
	
	public void draw() {
		SpriteBatch batch = plusGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(homeScreen_Img, 0, 0);
		batch.end();
	}
	
	@Override
	public void render(float delta) {
		draw();
		update();
	}
	
	/*public void drawBird() {
		SpriteBatch batch = plusGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.draw(bird1_Img, 90, 90);
	}*/
	
	public void update() {
		//if(Gdx.input.isKeyJustPressed(Keys.ANY_KEY)) {
		if(getPlayer_1_Switch() && getPlayer_2_Switch()) {  
			//setBuzzerOn();
			goToProblemOne();
			//plusGame.setScreen(new GameScreen(plusGame));
		}
	}
	
	public void goToProblemOne() {
		plusGame.setScreen(new SelectingGameSet(plusGame));
	}
	
	public boolean getPlayer_1_Switch() {
		//return (Gdx.input.isKeyJustPressed(Keys.NUM_1)) || (Gdx.input.isKeyJustPressed(Keys.NUM_0));
		
		return (PracticumGame.JustPressSW(PracticumGame.sw1)|| PracticumGame.JustPressSW(PracticumGame.sw2));
	}
	
	private boolean getPlayer_2_Switch() {
		//return (Gdx.input.isKeyJustPressed(Keys.Y)) || (Gdx.input.isKeyJustPressed(Keys.N));
		
		return (PracticumGame.JustPressSW(PracticumGame.sw3)|| PracticumGame.JustPressSW(PracticumGame.sw4));
	}
	
	@Override
	public void hide() {
		homeScreen_Img.dispose();
	}

}
