/*
 * Problem 2
 */

package com.mygdx.game.GameSet1;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.mygdx.game.PracticumGame;
import com.mygdx.game.ScoreCount;
import com.mygdx.game.ShowLight;

public class GameScreen102 extends ScreenAdapter {
	private PracticumGame plusGame;
	private Texture pic_2_Img;
	public ScoreCount score1;
	public ScoreCount score2;
	public BitmapFont font;
	public ShowLight showLight;
	
	int countsw1 = 0;
	int countsw2 = 0;
	int countsw3 = 0;
	int countsw4 = 0;
	
	public GameScreen102 (PracticumGame plusGame) {
		this.plusGame = plusGame;
		pic_2_Img = new Texture("set2_5.png");
		font =  new BitmapFont(Gdx.files.internal("font.fnt"), Gdx.files.internal("font.png"), false);
	}
	
	public void update(float delta) {
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_1)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw2)) {
			ShowLight.led1_on();
			plusGame.setScreen(new GameScreen103(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.NUM_0)) {
		if(PracticumGame.JustPressSW(PracticumGame.sw1)) { 
			ScoreCount.increaseScorePlayer1();
			plusGame.setScreen(new GameScreen103(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.Y)) { 
		if(PracticumGame.JustPressSW(PracticumGame.sw3)) {
			showLight.led3_on();
			plusGame.setScreen(new GameScreen103(plusGame));
		}
		
		//if(Gdx.input.isKeyJustPressed(Keys.N)) { 
		if(PracticumGame.JustPressSW(PracticumGame.sw4)) {
			ScoreCount.increaseScorePlayer2();
			plusGame.setScreen(new GameScreen103(plusGame));
		}
	}
	
	
	
	public void draw() {
		SpriteBatch batch = plusGame.batch;
		
		GL20 gl = Gdx.gl;
		Gdx.gl.glClearColor(0, 0, 0, 1);
		gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		
		batch.begin();
		batch.draw(pic_2_Img, 0, 0);
		font.draw(batch, "Score Player One : " + ScoreCount.scorePlayer1, 50, 100);
		font.draw(batch, "Score Player Two : " + ScoreCount.scorePlayer2, 1000, 100);
		batch.end();
	}

	public void goToProblemThree() {
		plusGame.setScreen(new GameScreen103(plusGame));
	}
	
	@Override
	public void render(float delta) {
		draw();
		update(delta);
	}
	
	@Override
	public void hide() {
		pic_2_Img.dispose();
	}
}
